Bug Hunting Session
Bug 102599 - RTF Paste doesnt retain numbered list
Summary: RTF Paste doesnt retain numbered list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf, preBibisect, regression
Depends on:
Blocks: RTF-Paste RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2016-09-26 22:44 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-23 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-26 22:44:50 UTC
Steps:
1) Open attachment 127615 [details]
2) Select numbered list entries 1, 2 and 3 under Test1
3) Move cursor below Test3
4) Paste Special > Formatted Text [RTF]
5) Notice that not all of the inserted lines are part of a numbered list

This can be seen in attachment 127651 [details] at 0:21 to 0:25 (without crlf) and 0:49 to 0:53 (with crlf).

The paste without entry 3's crlf broke from its earlier/better behaviour in 4.0, while the paste with crlf broke from its earlier/better behaviour in 4.2.


Version: 5.3.0.0.alpha0+
Build ID: dec8da2a9aadbb6758ee76c30582bd8620a10ecb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-21_05:53:33
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-09-29 11:45:49 UTC
Confirmed in

Version: 5.3.0.0.alpha0+
Build ID: 0d3ba1d4b507b555b086c687fcd202d69a9a2ffa
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2016-10-06 10:31:16 UTC
In Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a) the behaviour I'm observing is that the first time I paste the text it's pasted with the numbered list, however, if I undo the action and paste it again, this time the numbers are gone.
Comment 3 Xisco Faulí 2016-10-06 10:50:04 UTC
Behavior commented in comment 2 already observed in LibreOffice 3.5.0 
Build ID: d6cde02, thus, prebibisect.
However, it's ok in LibreOffice 3.3.0
Comment 4 QA Administrators 2018-10-23 02:49:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug